## mutt-wizard 3.3.1

=== Makefile ===
.POSIX:

OS = $(shell uname -s)
ifndef PREFIX
  PREFIX = /usr/local
endif
ifndef MANPREFIX
  MANPREFIX = $(PREFIX)/share/man
endif

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/lib/mutt-wizard
	cp -f bin/mw bin/mailsync $(DESTDIR)$(PREFIX)/bin/
	cp -f lib/openfile $(DESTDIR)$(PREFIX)/lib/mutt-wizard
	chmod 755 $(DESTDIR)$(PREFIX)/bin/mw $(DESTDIR)$(PREFIX)/bin/mailsync $(DESTDIR)$(PREFIX)/lib/mutt-wizard/openfile
	mkdir -p $(DESTDIR)$(PREFIX)/share/mutt-wizard
	chmod 755 $(DESTDIR)$(PREFIX)/share/mutt-wizard
	cp -f share/mailcap share/domains.csv share/mutt-wizard.muttrc share/switch.muttrc $(DESTDIR)$(PREFIX)/share/mutt-wizard
	chmod 644 $(DESTDIR)$(PREFIX)/share/mutt-wizard/mailcap $(DESTDIR)$(PREFIX)/share/mutt-wizard/domains.csv $(DESTDIR)$(PREFIX)/share/mutt-wizard/mutt-wizard.muttrc $(DESTDIR)$(PREFIX)/share/mutt-wizard/switch.muttrc
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	cp -f mw.1 $(DESTDIR)$(MANPREFIX)/man1/mw.1
	cp -f mailsync.1 $(DESTDIR)$(MANPREFIX)/man1/mailsync.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/mw.1 $(DESTDIR)$(MANPREFIX)/man1/mailsync.1
	if [ "$(PREFIX)" ]; then \
		sed -iba 's:/usr/local:$(PREFIX):' $(DESTDIR)$(PREFIX)/share/mutt-wizard/mutt-wizard.muttrc; \
		rm -f $(DESTDIR)$(PREFIX)/share/mutt-wizard/mutt-wizard.muttrcba; \
		sed -iba 's:/usr/local:$(PREFIX):' $(DESTDIR)$(PREFIX)/bin/mw; \
		rm -f $(DESTDIR)$(PREFIX)/bin/mwba; \
		sed -iba 's:/usr/local:$(PREFIX):' $(DESTDIR)$(MANPREFIX)/man1/mw.1; \
		rm -f $(DESTDIR)$(MANPREFIX)/man1/mw.1ba; \
		sed -iba 's:/usr/local:$(PREFIX):' $(DESTDIR)$(PREFIX)/share/mutt-wizard/mailcap; \
		rm -f $(DESTDIR)$(PREFIX)/share/mutt-wizard/mailcapba; \
	fi

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/mw $(DESTDIR)$(PREFIX)/bin/mailsync $(DESTDIR)$(PREFIX)/lib/mutt-wizard/openfile
	rm -rf $(DESTDIR)$(PREFIX)/share/mutt-wizard  $(DESTDIR)$(PREFIX)/lib/mutt-wizard
	rm -f $(DESTDIR)$(MANPREFIX)/man1/mw.1  $(DESTDIR)$(MANPREFIX)/man1/mailsync.1

.PHONY: install uninstall

=== debian/changelog ===
mutt-wizard (3.3.1-4) unstable; urgency=medium

  * debian/patches/020_fix-prefix-and-bash-term-in-posix.patch: updated to fix
    BUG RC. (Closes: #1031402)
  * debian/patches/050_fix-smtp_authenticators.patch: created to fix
    smtp_authenticators in mutt-wizard.muttrc.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Sat, 16 Dec 2023 15:20:47 -0300

mutt-wizard (3.3.1-3) unstable; urgency=medium

  [ Jonathan Dowland ]
  * debian/control: added 'procps' in Depends field to providing /usr/bin/pgrep.
    (Closes: #1043364)

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Sat, 16 Dec 2023 12:54:37 -0300

mutt-wizard (3.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Added Josenilson Ferreira da Silva in Uploaders.
      - Bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/040_change-name-mailsync.patch: created to change the binary
    name from mailsync to mw-mailsync in upstream files.
  * debian/rules: added target 'execute_after_dh_install' to fix conflict.
    Thanks to Andreas Beckmann <anbe@debian.org>. (Closes: #1029021)
  * debian/tests/control:
      - Added new test command4.
      - Change name from mailsync to mw-mailsync in command3.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Thu, 19 Jan 2023 11:19:10 -0300

mutt-wizard (3.3.1-1) experimental; urgency=medium

  [ Braulio Henrique Marques Souto ]
  * Initial release. (Closes: #1009761)

  [ Josenilson Ferreira da Silva ]
  * debian/control: Some paragraphs of the long description.
  * debian/source/format
  * debian/upstream/*

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Fri, 16 Dec 2022 02:04:12 -0300

=== debian/control ===
Source: mutt-wizard
Section: mail
Priority: optional
Maintainer: Braulio Henrique Marques Souto <braulio@disroot.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/LukeSmithxyz/mutt-wizard
Vcs-Browser: https://salsa.debian.org/debian/mutt-wizard
Vcs-Git: https://salsa.debian.org/debian/mutt-wizard.git

Package: mutt-wizard
Architecture: all
Depends: curl, isync, msmtp, neomutt, pass, procps, xdg-utils, ${misc:Depends}
Recommends: abook, cron, lynx, notmuch, urlview
Suggests: links2, mpop, mpv, w3m, zathura
Description: configuration tool from command line to neomutt
 mutt-wizard is a tool that automatically sets up a neomutt-based minimal
 email system.
 .
 With mutt-wizard you can automatically configure which IMAP and SMTP servers
 you want to use, and also create ready-to-use configuration files (dotfiles)
 for neomutt, isync and msmtp. It can also be used with the POP protocol via
 mpop by those who prefer it.
 .
 Can also handle multiple e-mail accounts and can easily switch between them.
 Sets up sensible defaults, including vim bindings and simple color scheming
 to maximize the usability of neomutt.
 .
 mutt-wizard also provides a mailsync script that can be scheduled to run as
 often as you like, that downloads/syncs mail and notifies you when a new mail
 arrives. Changes standard hotkeys to be more productive and intuitive, and a
 more attractive appearance for neomutt.

=== debian/tests/control ===
Test-Command: mw -h | grep '^mw: mutt-wizard'
Restrictions: superficial

Test-Command: mw -d | grep delete

Test-Command: mw -T | grep -i 'Adding automatic mw-mailsync'
Depends: @, cron
Restrictions: allow-stderr

Test-Command: mw -T | grep -i 'Removing automatic mw-mailsync'
Depends: @, cron

=== debian/watch ===
version=4
https://github.com/LukeSmithxyz/mutt-wizard/tags .*/tags/v@ANY_VERSION@@ARCHIVE_EXT@
